/*****************************************************************************
* Copyright (c) 1990-99 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/


// ProtocolSERIAL.h: interface for the CProtocolSERIAL class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROTOCOLSERIAL_H__81F8CA44_10EA_11D2_BB07_00805F9E3135__INCLUDED_)
#define AFX_PROTOCOLSERIAL_H__81F8CA44_10EA_11D2_BB07_00805F9E3135__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "Protocol.h"

class ADAPTER_EXPORTED_CLASS CProtocolSERIAL : public CProtocol  
{
	DECLARE_DYNAMIC(CProtocolSERIAL)

public:
	CProtocolSERIAL(HKEY const hKeyRoot, CString const strRegPath, CConfigObject const * const pParent);
	virtual ~CProtocolSERIAL();

   virtual BOOL AddChild(void);
           BOOL AddChild(CString const & strChild);

   virtual BOOL SetParameters(void);

   virtual BOOL AddWizardPages(CConfigWizSheet * const pSheet);
   virtual BOOL RemoveWizardPages(CConfigWizSheet * const pSheet);
   virtual BOOL NextWizardPage(int const nState);

   virtual BOOL DoProperties(void);

private:
   //
   // Parameters gettable/settable by the config (data resides in adapter instance registry key)
   BOOL GetParameters(void);
   BOOL GetConfigData(void);
};

#endif // !defined(AFX_PROTOCOLSERIAL_H__81F8CA44_10EA_11D2_BB07_00805F9E3135__INCLUDED_)
